function battery --description "Print battery status"
    if test (uname -s) != Darwin
        echo "Unsupported kernel: "(uname -s)
        return 1
    end

    set --local battery_status (pmset -g batt | string split0)
    set --local battery_charge (echo $battery_status | rg --only-matching "\d+%")
    set --local power_source (echo $battery_status | rg --only-matching  "[A-Za-z]+\sPower")

    set_color green
    echo "⚡️ Running on $power_source with $battery_charge charge"
    set_color normal
    commandline -f repaint
end
