function fish_vars
    set -l _special_variables BROWSER CDPATH LANG PATH SHLVL fish_ambiguous_width fish_emoji_width fish_escape_delay_ms fish_trace fish_user_paths hostname umask version
    set -l _path_variables CDPATH PATH fish_user_paths
    set -l _table_format "| %-24s | %-38s |\n"

    printf "\n$_table_format" Variable Value

    printf $_table_format (printf "%.s¯" (seq 24)) (printf "%.s¯" (seq 38))

    for variable in $_special_variables
        if set -q $variable
            if contains -- $variable $_path_variables
                set -l paths (string collect (string split " " $$variable))
                printf $_table_format $variable "- $paths[1]"
                for path in $paths[2..-1]
                    printf $_table_format "" "- $path"
                end
            else
                printf $_table_format $variable $$variable
            end
        else
            printf $_table_format $variable "<unset>"
        end
    end

    printf $_table_format (printf "%.s_" (seq 24)) (printf "%.s_" (seq 38))

end
