function video_compress --argument-names srcfile
    if test -z "$srcfile"
        echo "Usage: video_compress <srcfile>"
        return 1
    end
    if not test -f "$srcfile"
        echo "Error: not a regular file: $srcfile"
        return 2
    end
    if not command -q HandBrakeCLI
        echo "Error: HandBrakeCLI is required"
        return 3
    end

    # Output: srcfile.extension -> srcfile-compressed.mp4
    set --local dstfile (string split -r -m1 . $srcfile)[1]-compressed.mp4
    set --local preset 'Vimeo YouTube HQ 720p60'

    HandBrakeCLI --preset $preset --input $srcfile --output $dstfile
end
