#!/bin/bash

DOTFILES="$HOME/dotfiles"

# Install symlinks
"$DOTFILES/install-symlinks.sh"

# Install plugin manager for Neovim, if it doesn't exist
VIM_PLUG_SRC="https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim"
VIM_PLUG_DST="$HOME/.local/share/nvim/site/autoload/plug.vim"
if [ ! -f "$VIM_PLUG_DST" ]; then
	echo "Downloading plug.vim ..."
	curl -fsSL -o "$VIM_PLUG_DST" --create-dirs "$VIM_PLUG_SRC"
fi

# Install plugins for Neovim
nvim +PlugInstall +qall

# Make fish the default shell
BREW_PREFIX=$(brew --prefix)
grep -q "$BREW_PREFIX/bin/fish" /etc/shells || echo "$BREW_PREFIX/bin/fish" | sudo tee -a /etc/shells
sudo chsh -s "$BREW_PREFIX/bin/fish" $(whoami)
